> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Host Authentication Token

> Updates an existing host authentication token.

`Unary` · [`Runner Configurations`](/docs/api-reference/generated/runner-configuration/overview)

Updates an existing host authentication token.

Use this method to:

* Refresh token values
* Update expiration
* Modify token settings

### Examples

* Update token:

  Updates token value and expiration.

  ```yaml theme={null}
  id: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
  token: "gho_xxxxxxxxxxxx"
  expiresAt: "2024-12-31T23:59:59Z"
  refreshToken: "ghr_xxxxxxxxxxxx"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.RunnerConfigurationService/UpdateHostAuthenticationToken
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.RunnerConfigurationService/UpdateHostAuthenticationToken" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "id": "<id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.runner_configuration_pb2 as runner_configuration_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = runner_configuration_pb2.UpdateHostAuthenticationTokenRequest(
      id="<id>",
  )
  response = ona.services.runner_configuration.update_host_authentication_token(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { UpdateHostAuthenticationTokenRequestSchema } from "@gitpod/sdk/gitpod/v1/runner_configuration_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(UpdateHostAuthenticationTokenRequestSchema, {
      id: "<id>",
    });
    const response = await ona.services.runnerConfiguration.updateHostAuthenticationToken(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.UpdateHostAuthenticationTokenRequest{
  		Id: "<id>",
  	})
  	response, err := ona.Services.RunnerConfiguration.UpdateHostAuthenticationToken(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "id": "<id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.UpdateHostAuthenticationTokenRequest`

| Field          | Type               | Required | Description                      |
| -------------- | ------------------ | -------- | -------------------------------- |
| `id`           | string             | No       | Constraints: `string.uuid=true`. |
| `token`        | string             | No       | Constraints: `string.min_len=1`. |
| `expiresAt`    | RFC 3339 timestamp | No       |                                  |
| `refreshToken` | string             | No       |                                  |
| `scopes`       | array of string    | No       |                                  |

## Response

`gitpod.v1.UpdateHostAuthenticationTokenResponse`

This message has no fields.
